local fn = _gn(0x90D2156198831D69)
--- I cant believe I have to define this, this is one of the best natives.
-- It makes the ped ignore basically all shocking events around it. Occasionally the ped may comment or gesture, but other than that they just continue their daily activities. This includes shooting and wounding the ped. And - most importantly - they do not flee.
-- Since it is a task, every time the native is called the ped will stop for a moment.
function Global.TaskSetBlockingOfNonTemporaryEvents(ped, toggle)
	return _in2(fn, ped, toggle)
end
